##
##  autorevision.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         autorevision
Summary:      Version Control Metadata Extraction
URL:          https://autorevision.github.io/
Vendor:       Eric S. Raymond
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      MIT-style
Version:      1.22
Release:      20210126

#   list of sources
Source0:      https://github.com/Autorevision/autorevision/releases/download/v%2F%{version}/autorevision-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, asciidoc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Extracts metadata about the current revision from your repository.
    This program is meant to be used by project build systems to extract
    properties that can be used in software version strings. Repository
    types supported include git, hg, bzr, and svn. It can create files
    containing variable and macro definitions suitable for C, C++, Java,
    sh, Python, Perl, PHP, lua, Javascript, and header files suitable
    for use with preprocessing Info.plist files.

%track
    prog autorevision = {
        version   = %{version}
        url       = https://github.com/Autorevision/autorevision/releases
        regex     = autorevision-(__VER__)\.tgz
    }

%prep
    %setup -q

%build
    a2x -f manpage autorevision.asciidoc

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        autorevision.sh $RPM_BUILD_ROOT%{l_prefix}/bin/autorevision
    %{l_shtool} install -c -m 644 \
        autorevision.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

